> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate and persist backup codes for the authenticated user

> Gera 10 códigos de backup. Exige `X-Account-Verification`.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/account/mfa/backup-codes
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/account/mfa/backup-codes:
    post:
      tags:
        - Account
      summary: Generate and persist backup codes for the authenticated user
      description: Gera 10 códigos de backup. Exige `X-Account-Verification`.
      operationId: postV1AccountMfaBackup-codes
      parameters:
        - in: header
          name: X-Account-Verification
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Codes created
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.